OpenNMS API 1.2.9

## org.opennms.netmgt.poller
Class PollerEventProcessor

    java.lang.Object
      org.opennms.netmgt.poller.PollerEventProcessor

All Implemented Interfaces:
  EventListener

final class PollerEventProcessor
extends java.lang.Object
implements EventListener

Author:
  James Zuo , Brian Weaver , OpenNMS

Field Summary
`private Poller` `m_poller`

Constructor Summary
`(package private)` `PollerEventProcessor(Poller poller)` Constructor

Method Summary
`void` `close()` Unsubscribe from eventd
`private void` `createMessageSelectorAndSubscribe()` Create message selector to set to the subscription
`private EventIpcManager` `getEventManager()`
`java.lang.String` `getName()` Return an id for this event listener
`private PollableNetwork` `getNetwork()`
`private Poller` `getPoller()`
`private PollerConfig` `getPollerConfig()`
`private void` `interfaceDeletedHandler(Event event)`
`private void` `interfaceReparentedHandler(Event event)` This method is responsible for processing 'interfacReparented' events.
`private boolean` `isXmlRPCEnabled()`
`private void` `nodeDeletedHandler(Event event)` This method is responsible for removing the node specified in the nodeDeleted event from the Poller's pollable node map.
`private void` `nodeGainedServiceHandler(Event event)` Process the event, construct a new PollableService object representing the node/interface/service/pkg combination, and schedule the service for polling.
`private void` `nodeRemovePollableServiceHandler(Event event)` This method is responsible for removing a node's pollable service from the pollable services list
`void` `onEvent(Event event)` This method is invoked by the EventIpcManager when a new event is available for processing.
`private void` `scheduledOutagesChangeHandler(org.apache.log4j.Category log)`
`private void` `serviceDeletedHandler(Event event)` This method remove a deleted service from the pollable service list of the specified interface, so that it will not be scheduled by the poller.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_poller

    private Poller m_poller

Constructor Detail

### PollerEventProcessor

    PollerEventProcessor(Poller poller)

  Constructor

Method Detail

### createMessageSelectorAndSubscribe

    private void createMessageSelectorAndSubscribe()

  Create message selector to set to the subscription

### nodeGainedServiceHandler

    private void nodeGainedServiceHandler(Event event)

  Process the event, construct a new PollableService object representing the node/interface/service/pkg combination, and schedule the service for polling. If any errors occur scheduling the interface no error is returned.

  Parameters:
    `event` - The event to process.

### interfaceReparentedHandler

    private void interfaceReparentedHandler(Event event)

  This method is responsible for processing 'interfacReparented' events. An 'interfaceReparented' event will have old and new nodeId parms associated with it. Node outage processing hierarchy will be updated to reflect the new associations.

  Parameters:
    `event` - The event to process.

### nodeRemovePollableServiceHandler

    private void nodeRemovePollableServiceHandler(Event event)

  This method is responsible for removing a node's pollable service from the pollable services list

### nodeDeletedHandler

    private void nodeDeletedHandler(Event event)

  This method is responsible for removing the node specified in the nodeDeleted event from the Poller's pollable node map.

### interfaceDeletedHandler

    private void interfaceDeletedHandler(Event event)

### serviceDeletedHandler

    private void serviceDeletedHandler(Event event)

  This method remove a deleted service from the pollable service list of the specified interface, so that it will not be scheduled by the poller.

### close

    public void close()

  Unsubscribe from eventd

### getEventManager

    private EventIpcManager getEventManager()

  Returns:

### onEvent

    public void onEvent(Event event)

  This method is invoked by the EventIpcManager when a new event is available for processing. Each message is examined for its Universal Event Identifier and the appropriate action is taking based on each UEI.

  Specified by:
    `onEvent` in interface `EventListener`
  Parameters:
    `event` - The event

### scheduledOutagesChangeHandler

    private void scheduledOutagesChangeHandler(org.apache.log4j.Category log)

### getName

    public java.lang.String getName()

  Return an id for this event listener

  Specified by:
    `getName` in interface `EventListener`

### getPoller

    private Poller getPoller()

  Returns:

### getPollerConfig

    private PollerConfig getPollerConfig()

  Returns:

### getNetwork

    private PollableNetwork getNetwork()

### isXmlRPCEnabled

    private boolean isXmlRPCEnabled()

  Returns:
    Returns the xmlrpc.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.